// Test to demonstrate Eclipse CDT's inability to parse class-nested enum classes.
// Build line: g++ -std=c++11 -pedantic -Wall -Wextra -ggdb3 -Og -o accel accel.cpp

#include "accel.hpp"

enum class RegAddrOutside : uint8_t { ONE, TWO  };
enum class AccelLis2de12::RegAddrInside : uint8_t { ONE, TWO };

bool AccelLis2de12::inn(RegAddrInside reg)
{
    return reg == RegAddrInside:: ONE;
}

bool AccelLis2de12::out(RegAddrOutside reg)
{
    return reg == RegAddrOutside::ONE;
}

int main()
{
    AccelLis2de12 accel;

    return accel.inn(AccelLis2de12::RegAddrInside::ONE)
        && accel.out(RegAddrOutside::ONE) ? 0 : 1;
}
